Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InputStickerStatic

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputSticker
it.tdlight.jni.TdApi.InputStickerStatic

Enclosing class:
  TdApi

public static final class TdApi.InputStickerStatic extends TdApi.InputSticker
A static sticker in PNG format, which will be converted to WEBP server-side.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`emojis`
Emojis corresponding to the sticker.
`TdApi.MaskPosition`
`maskPosition`
For masks, position where the mask is placed; pass null if unspecified.
`TdApi.InputFile`
`sticker`
PNG image with the sticker; must be up to 512 KB in size and fit in a 512x512 square.

## Constructor Summary

Constructors
Constructor
Description
`InputStickerStatic()`
A static sticker in PNG format, which will be converted to WEBP server-side.
`InputStickerStatic(TdApi.InputFile sticker, String emojis, TdApi.MaskPosition maskPosition)`
A static sticker in PNG format, which will be converted to WEBP server-side.
`InputStickerStatic(DataInput input)`
A static sticker in PNG format, which will be converted to WEBP server-side.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### sticker

public TdApi.InputFile sticker
PNG image with the sticker; must be up to 512 KB in size and fit in a 512x512 square.

### emojis

public String emojis
Emojis corresponding to the sticker.

### maskPosition

public TdApi.MaskPosition maskPosition
For masks, position where the mask is placed; pass null if unspecified.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### InputStickerStatic

public InputStickerStatic()
A static sticker in PNG format, which will be converted to WEBP server-side.

### InputStickerStatic

public InputStickerStatic(TdApi.InputFile sticker, String emojis, TdApi.MaskPosition maskPosition)
A static sticker in PNG format, which will be converted to WEBP server-side.

Parameters:
  `sticker` - InputFile PNG image with the sticker; must be up to 512 KB in size and fit in a 512x512 square.
  `emojis` - String Emojis corresponding to the sticker.
  `maskPosition` - MaskPosition For masks, position where the mask is placed; pass null if unspecified.

### InputStickerStatic

public InputStickerStatic(DataInput input) throws IOException
A static sticker in PNG format, which will be converted to WEBP server-side.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`